NI-Serial Troubleshooting Wizard Help

October 2004 Edition, Part Number 371017B-01

Use this help file to get information about errors reported by the NI-Serial Troubleshooting Wizard.

To navigate this help file, use the Contents, Index, and Search tabs to the left of this window.

For more information about this help file, refer to the following topics:

Conventions—formatting and typographical conventions in this help file

Important Information

Technical Support and Professional Services

To comment on National Instruments documentation, refer to the National Instruments Web site.

© 2004 National Instruments Corporation. All rights reserved.


Conventions

This help file uses the following conventions:

» | The » symbol leads you through nested menu items and dialog box options to a final action. The sequence File»Page Setup»Options directs you to pull down the File menu, select the Page Setup item, and select Options from the last dialog box.
 | This icon denotes a note, which alerts you to important information.
bold | Bold text denotes items that you must select or click on in the software, such as menu items and dialog box options. Bold text also denotes parameter names, emphasis, or an introduction to a key concept.
green | Underlined text in this color denotes a link to a help topic, help file, or Web address.
monospace | Text in this font denotes text or characters that you should enter from the keyboard, sections of code, programming examples, and syntax examples. This font is also used for the proper names of disk drives, paths, directories, programs, subprograms, subroutines, device names, functions, operations, variables, filenames and extensions, and code excerpts.
monospace bold | Bold text in this font denotes the messages and responses that the computer automatically prints to the screen. This font also emphasizes lines of code that are different from the other examples.
monospace italic | Italic text in this font denotes text that is a placeholder for a word or value that you must supply.


Hardware Error: Attached Cable

Error: Open Port/Attached Cable

You must close all open ports and disconnect all serial cables to run this test successfully. Close all serial applications, disconnect all serial cables, and then click Retest to rerun the NI-Serial Troubleshooting Wizard.


One or More Missing Serial Interfaces

NI-Serial did not recognize every serial interface. There are several reasons why you might encounter this problem:

The serial interface is not properly installed

Refer to the Serial Hardware and Software for Windows Help to verify that your serial interface is correctly installed. Rerun the NI-Serial Troubleshooting Wizard.

Click here to open the Serial Hardware and Software for Windows Help.

You ran the Troubleshooting Wizard before the Add New Hardware Wizard completed the task of adding the Plug-and-Play interface to your system.

Follow the steps in the Add New Hardware Wizard to finish adding the hardware to your system before you run the Troubleshooting Wizard. If you canceled the Add New Hardware Wizard before it completed, reboot your system and make sure the Add New Hardware Wizard completes before continuing with the Troubleshooting Wizard.

Non-Plug-and-Play interface

You have a non-Plug-and-Play interface, such as a serial ENET interface, and you did not use the Add Serial ENET Hardware Wizard to add the interface to your system properly. The Add Serial ENET Hardware Wizard guides you through the process of adding serial ENET interfaces to your system.

Click here to access the Add Serial ENET Hardware Wizard.

Serial USB interface not detected

The USB host controller must be working properly to use the serial interface. Refer to the Device Manager to verify that the host controller is functioning properly. If you select View devices by type, you can review the USB Host Controller properties to ensure it is correctly enabled and functioning.

Click here to access the Device Manager.

PCMCIA serial interface not detected

The PCMCIA adapter must be working properly to use the serial interface. Refer to the Device Manager to verify that the adapter is functioning properly. If you select View devices by type, you can review the PCMCIA adapter properties to ensure it is correctly enabled and functioning.

Click here to access the Device Manager.

Serial interface has been removed from the system

You have removed the serial interface from the system. Click on the link below to launch the Device Manager. Right-click on your computer's name in the list and select Scan for hardware changes. You may also reboot your computer to allow the operating system to detect and install your serial interface.

Click here to access the Device Manager.


Unknown NI-Serial Software Error

An unknown NI-Serial software problem has occurred. Please try the following to resolve the problem before calling National Instruments:

  1. Restart your system.
  2. Run the NI-Serial Troubleshooting Wizard again.

If you still have the problem, try the following:

  1. Uninstall NI-Serial for Windows.
  2. Reinstall NI-Serial for Windows.
  3. Restart your system.
  4. Run the NI-Serial Troubleshooting Wizard again.


Unknown Hardware Error

An unknown serial hardware error has been encountered. The basic problem is that your hardware is not being correctly recognized by the system. Several of the possible causes for this problem are listed below:

The NI-Serial driver for your serial interface failed to load correctly due to a resource conflict.

Typically, resource conflicts occur when your system contains hardware that is configured to use the same resources as your serial interface. Resource conflicts are detected by NI-Serial when the driver is loaded. If there is a resource conflict, the driver fails to load and records an error in the Event Viewer describing why it failed to load.

Determine the resource that caused the conflict and select new resources that are not in conflict.

Use the Windows System Information tool to get a list of the resource usage that is known to the operating system. This utility displays a list of I/O addresses and interrupt levels that are currently in use.

Once you know what resources are in conflict, run the Windows Device Manager utility to configure the new conflict-free resources.

Click here to access the Windows Device Manager.

Your serial interface is incorrectly installed or configured.

Verify that your serial interface is correctly installed and configured. For information about the installation and configuration of your serial hardware, refer to the Serial Hardware and Software for Windows Help.

Click here to open the Serial Hardware and Software for Windows Help.

Your serial interface appears to be installed correctly and working properly, but the NI-Serial Troubleshooting Wizard still reports this error.

Try restarting your computer and rerunning the NI-Serial Troubleshooting Wizard. If problems persist, contact National Instruments for more help.


Address Resource Conflict

This error occurs if the address resources assigned to a serial interface conflict with the address resources being used by other devices in the system.

Typically, resource conflicts occur when your system contains hardware that is configured to use the same resources as your serial interface. Resource conflicts are detected by NI-Serial when the driver is loaded. If there is a resource conflict, the driver fails to load and records an error in the Event Viewer describing why it failed to load.

Determine the resource that caused the conflict and select new resources that are not in conflict.

Use the Windows System Information tool to get a list of the resource usage that is known to the operating system. This utility displays a list of I/O addresses and interrupt levels that are currently in use.

Once you know what resources are in conflict, run the Windows Device Manager utility to configure the new conflict-free resources.

Click here to access the Windows Device Manager.


Interrupt Resource Conflict

This error occurs if the interrupt resource assigned to a serial interface conflicts with the interrupt resource being used by another device in the system.

Typically, resource conflicts occur when your system contains hardware that is configured to use the same resources as your serial interface. Resource conflicts are detected by NI-Serial when the driver is loaded. If there is a resource conflict, the driver fails to load and records an error in the Event Viewer describing why it failed to load.

Determine the resource that caused the conflict and select new resources that are not in conflict.

Use the Windows System Information tool to get a list of the resource usage that is known to the operating system. This utility displays a list of I/O addresses and interrupt levels that are currently in use.

Once you know what resources are in conflict, run the Windows Device Manager utility to configure the new conflict-free resources.

Click here to access the Windows Device Manager.


Determining Resource Conflicts

Use the Windows Device Manager to determine which resources have a conflict.

  1. Click here to launch the Device Manager.
  2. Select the device that has the resource conflict and click the Properties button. A yellow exclamation point (!) indicates the device with the resource conflict.
  3. Select the Resources tab and click the Set Configuration Manually button.
  4. View the conflicting resource information to determine which resource conflicts with which device.
  5. Click OK when you are finished.
  6. In the System Settings Change dialog, click Yes to restart the computer or No if you want to restart the computer later.


System Information Tool

Windows System Information Tool

The Windows System Information Tool collects and displays your system configuration information. Use this tool to determine which resources in the system are currently in use. The information provided by this utility is a useful guide for selecting conflict-free resources.

Follow these steps to use it:

  1. Click here to access the System Information Tool.
  2. Select Hardware Resources from the left window pane.
  3. Use the IRQs and I/O folders to view in-use resources.
  4. When you are finished, click the x in the top right corner to exit the System Information utility.

Use System Information to find free resources. For example, if you are experiencing an interrupt resource conflict, view the IRQ resources that are being used and determine which are available. Note an available IRQ resource and then use the Windows Device Manager utility to configure NI-Serial to use that available IRQ resource for the serial interface.

Click here to access the Windows Device Manager.


Event Viewer

The Event Viewer is used to maintain a system log. If the NI-Serial driver fails to start properly, it records entries in the system log that explain why it failed to start.

Follow these steps to use the Event Viewer:

  1. Click here to access the Event Viewer.
  2. From the left window pane, select System Log if you are running Windows 2000. For Windows XP, this option is called System.
  3. Select the View menu and make sure All Records and Newest First are selected.
  4. Begin examining the event details from the top of the list. To view event details, double-click on the event.
  5. The events of interest are those with the word niser in the Source column. You are looking for serial-related events that mention a resource conflict. You can ignore all other serial-related events.
  6. Note the very first resource conflict encountered. You need to know the type of resource conflict, for example, I/O address or IRQ. You also need to know which board the conflict is for.
Note Be careful not to look past the last event logged since the system started. The event whose Source is EventLog with a description of The Event log service was started is the first event logged when the system starts up.


Missing IP Address - ENET

The serial ENET interface is not powered on and ready to operate, or the IP address is either unspecified or incorrectly specified. Follow these steps to resolve the problem:

  1. Ensure that the serial ENET interface is powered on. The PWR/RDY LED should be steady yellow or orange.
  2. Go to Start»Settings»Control Panel»Network and Dial-up Connections. Verify that there is a Local Area Connection and it is enabled. Right-click the Local Area Connection and select Properties. Ensure that TCP/IP is listed and selected in the Local Area Connection properties.
  3. Verify that the serial ENET interface has been properly assigned an IP address or hostname by doing the following:
    1. Click here to start the NI Ethernet Device Configuration utility.
    2. Look for the serial ENET interface you want to configure on the list of network devices. You can identify your interface by its serial number or Ethernet address printed on the baseplate label.
    3. Is your serial ENET interface on the list of network devices?
      • Yes—go to step 3d.
      • No—go to step 3e.
    4. Record the IP address or hostname of your interface from the IP address/hostname field. If there was an error, or the interface shows up as unconfigured, refer to the Serial Hardware and Software for Windows Help for instructions on configuring the interface. Go to step 4.

      Click here to open the Serial Hardware and Software for Windows Help.

    5. The NI Ethernet Device Configuration utility can discover your serial ENET interface only if it is on the same subnet as the computer running the utility. Contact your network administrator for the IP address of your serial ENET interface.
  4. Verify that the IP Address is set correctly for your interface.
    1. Under Measurement & Automation Explorer, expand the Devices and Interfaces folder. Select your installed serial ENET interface from the list of devices.
    2. Identify the value of the IP address/hostname field in the attributes window.
    3. Is the IP address/hostname value the same as the IP address or hostname value recorded in step 3?
      • Yes—go to step 6.
      • No—go to step 5.
  5. The serial ENET interface on your network is configured for an IP address or hostname that is different than the host machine's installed device. In this case, you need to delete the existing device and re-add your serial ENET interface with the correct settings.
    1. Under Measurement & Automation Explorer, expand the Devices and Interfaces folder. Look for your serial ENET interface in the list of devices.
    2. Right-click the interface and select Delete from the pop-up menu.
    3. Right-click Devices and Interfaces and select Create New....
    4. Choose Serial ENET Interface and click Finish.
    5. The Add Serial ENET Hardware Wizard opens with a list of interfaces currently installed on your system. Click Next.
    6. Enter the same IP address that you recorded previously.
    7. Click Next to install the interface and then click Finish.
  6. Verify that the serial ENET interface is correctly configured for your network. The easiest way to do this is to use a network utility called ping. Find the directory where ping.exe is located, open the MS-DOS prompt under that directory, and type in the following command:

ping <IPaddress>

where <IPaddress> is the IP address assigned to your serial ENET interface. If your serial ENET interface is assigned a hostname, type in the following command instead:

ping <hostname>

If the ping utility cannot communicate with the serial ENET interface, verify your IP address/hostname with your network administrator. If the IP address/hostname is valid, contact National Instruments for more help.


Launch Ethernet Device Configuration Utility

Use the NI Ethernet Device Configuration utility if you need to manually configure the network parameters of a serial ENET interface. If your network uses DHCP, the network configuration is performed automatically at startup and you do not need to run this utility unless you want to change the hostname. Consult your network administrator if you do not know whether your network uses DHCP.

Click here to start the NI Ethernet Device Configuration utility.

Refer to the Serial Hardware and Software for Windows Help for information about using the utility to configure the network settings for your serial ENET interface.

Click here to open the Serial Hardware and Software for Windows Help.


Important Information

Warranty

Copyright

Trademarks

Patents

Warning Regarding Use of NI Products


Warranty

The media on which you receive National Instruments software are warranted not to fail to execute programming instructions, due to defects in materials and workmanship, for a period of 90 days from date of shipment, as evidenced by receipts or other documentation. National Instruments will, at its option, repair or replace software media that do not execute programming instructions if National Instruments receives notice of such defects during the warranty period. National Instruments does not warrant that the operation of the software shall be uninterrupted or error free.

A Return Material Authorization (RMA) number must be obtained from the factory and clearly marked on the outside of the package before any equipment will be accepted for warranty work. National Instruments will pay the shipping costs of returning to the owner parts which are covered by warranty.

National Instruments believes that the information in this document is accurate. The document has been carefully reviewed for technical accuracy. In the event that technical or typographical errors exist, National Instruments reserves the right to make changes to subsequent editions of this document without prior notice to holders of this edition. The reader should consult National Instruments if errors are suspected. In no event shall National Instruments be liable for any damages arising out of or related to this document or the information contained in it.

Except as specified herein, National Instruments makes no warranties, express or implied, and specifically disclaims any warranty of merchantability or fitness for a particular purpose. Customer's right to recover damages caused by fault or negligence on the part of National Instruments shall be limited to the amount theretofore paid by the customer. National Instruments will not be liable for damages resulting from loss of data, profits, use of products, or incidental or consequential damages, even if advised of the possibility thereof. This limitation of the liability of National Instruments will apply regardless of the form of action, whether in contract or tort, including negligence. Any action against National Instruments must be brought within one year after the cause of action accrues. National Instruments shall not be liable for any delay in performance due to causes beyond its reasonable control. The warranty provided herein does not cover damages, defects, malfunctions, or service failures caused by owner's failure to follow the National Instruments installation, operation, or maintenance instructions; owner's modification of the product; owner's abuse, misuse, or negligent acts; and power failure or surges, fire, flood, accident, actions of third parties, or other events outside reasonable control.


Copyright

Under the copyright laws, this publication may not be reproduced or transmitted in any form, electronic or mechanical, including photocopying, recording, storing in an information retrieval system, or translating, in whole or in part, without the prior written consent of National Instruments Corporation.


Trademarks

AutoCode™, BioBench™, Citadel™, CompactRIO™, CrashBase™, CVI™, DAQ Designer™, DAQCard™, DAQPad™, DAQ-STC™, DASYLab™, DataSocket™, DIAdem™, DIAdem CLIP™, DIAdem INSIGHT™, DocumentIt!™, FieldPoint™, FLEX ADC™, FlexDMM™, FlexFrame™, FlexMotion™, HiQ™, HS488™, IMAQ™, Instrupedia™, IVI™, LabVIEW™, LabVIEW Player™, Lookout™, MANTIS™, MATRIXx™, Measure™, Measurement Studio™, MITE™, MXI™, NAT4882™, NAT7210™, NAT9914™, National Instruments™, National Instruments Alliance Partner™, NI™, ni.com™, NI Developer Suite™, NI Developer Zone™, NI ELVIS™, NI Motion Assistant™, NI SoftMotion™, NI TestStand™, NI-488™, NI-488DDK™, NI-488.2™, NI-CAN™, NI-DAQ™, NI-DMM™, NI-DNET™, NI-FBUS™, NI-FGEN™, NI-IMAQ™, NI-Motion™, NI-VISA™, NI-VXI™, RTSI™, SCXI™, Sensors Plug&Play™, SignalExpress™, StillColor™, SystemBuild™, TNT4882™, TNT4882C™, VirtualBench™, VXIpc™, and Xmath™ are trademarks of National Instruments Corporation.

FireWire® is the registered trademark of Apple Computer, Inc.

Handle Graphics®, MATLAB®, Real-Time Workshop®, Simulink®, and Stateflow® are registered trademarks, and TargetBox2™, xPC TargetBox2™, and Target Language Compiler™ are trademarks of The MathWorks, Inc.

Tektronix® and Tek are registered trademarks of Tektronix, Inc.

Other product and company names mentioned herein are trademarks or trade names of their respective companies.

Members of the National Instruments Alliance Partner Program are business entities independent from National Instruments and have no agency, partnership, or joint-venture relationship with National Instruments.


Patents

For patents covering National Instruments products, refer to the appropriate location: Help»Patents in your software, the patents.txt file on your CD, or ni.com/patents.


WARNING REGARDING USE OF NATIONAL INSTRUMENTS PRODUCTS

(1) National Instruments products are not designed with components and testing for a level of reliability suitable for use in or in connection with surgical implants or as critical components in any life support systems whose failure to perform can reasonably be expected to cause significant injury to a human.

(2) In any application, including the above, reliability of operation of the software products can be impaired by adverse factors, including but not limited to fluctuations in electrical power supply, computer hardware malfunctions, computer operating system software fitness, fitness of compilers and development software used to develop an application, installation errors, software and hardware compatibility problems, malfunctions or failures of electronic monitoring or control devices, transient failures of electronic systems (hardware and/or software), unanticipated uses or misuses, or errors on the part of the user or applications designer (adverse factors such as these are hereafter collectively termed "system failures"). Any application where a system failure would create a risk of harm to property or persons (including the risk of bodily injury and death) should not be reliant solely upon one form of electronic system due to the risk of system failure. To avoid damage, injury, or death, the user or application designer must take reasonably prudent steps to protect against system failures, including but not limited to back-up or shut down mechanisms. Because each end-user system is customized and differs from National Instruments' testing platforms and because a user or application designer may use National Instruments products in combination with other products in a manner not evaluated or contemplated by National Instruments, the user or application designer is ultimately responsible for verifying and validating the suitability of National Instruments products whenever National Instruments products are incorporated in a system or application, including, without limitation, the appropriate design, process and safety level of such system or application.


Technical Support and Professional Services

Visit the following sections of the National Instruments Web site at ni.com for technical support and professional services:

  • Support—Online technical support resources at ni.com/support include the following:
    • Self-Help Resources—For answers and solutions, visit the award-winning National Instruments Web site for software drivers and updates, a searchable KnowledgeBase, product manuals, step-by-step troubleshooting wizards, thousands of example programs, tutorials, application notes, instrument drivers, and so on.
    • Free Technical Support—All registered users receive free Basic Service, which includes access to hundreds of Applications Engineers worldwide in the NI Developer Exchange at ni.com/exchange. National Instruments Applications Engineers make sure every question receives an answer.

      For information about other technical support options in your area, go to ni.com/services or contact your local branch at ni.com/contact.

  • Training and Certification—Visit ni.com/training for self-paced training, eLearning virtual classrooms, interactive CDs, and Certification program information. You also can register for instructor-led, hands-on courses at locations around the world.
  • System Integration—If you have time constraints, limited in-house technical resources, or other project challenges, National Instruments Alliance Partner members can help. To learn more, call your local NI office or visit ni.com/alliance.
  • Declaration of Conformity (DoC)—A DoC is our claim of compliance with the Council of the European Communities using the manufacturer's declaration of conformity. This system affords the user protection for electronic compatibility (EMC) and product safety. You can obtain the DoC for your product by visiting ni.com/certification.
  • Calibration Certificate—If your product supports calibration, you can obtain the calibration certificate for your product at ni.com/calibration.

If you searched ni.com and could not find the answers you need, contact your local office or NI corporate headquarters. You also can visit the Worldwide Offices section of ni.com/niglobal to access the branch office Web sites, which provide up-to-date contact information, support phone numbers, email addresses, and current events.


Branch Offices

Office | Telephone Number
Australia | 1800 300 800
Austria | 43 0 662 45 79 90 0
Belgium | 32 0 2 757 00 20
Brazil | 55 11 3262 3599
Canada (Calgary) | 403 274 9391
Canada (Montreal) | 514 288 5722
Canada (Ottawa) | 613 233 5949
Canada (Québec) | 450 510 3055
Canada (Toronto) | 905 785 0085
Canada (Vancouver) | 604 685 7530
China | 86 21 6555 7838
Czech Republic | 420 224 235 774
Denmark | 45 45 76 26 00
Finland | 385 0 9 725 725 11
France | 33 0 1 48 14 24 24
Germany | 49 0 89 741 31 30
India | 91 80 51190000
Israel | 972 0 3 6393737
Italy | 39 02 413091
Japan | 81 3 5472 2970
Korea | 82 02 3451 3400
Malaysia | 603 9131 0918
Mexico | 01 800 010 0793
Netherlands | 31 0 348 433 466
New Zealand | 0800 553 322
Norway | 47 0 66 90 76 60
Poland | 48 22 3390150
Portugal | 351 210 311 210
Russia | 7 095 783 68 51
Singapore | 65 6226 5886
Slovenia | 386 3 425 4200
South Africa | 27 0 11 805 8197
Spain | 34 91 640 0085
Sweden | 46 0 8 587 895 00
Switzerland | 41 56 200 51 51
Taiwan | 886 2 2528 7227
Thailand | 662 992 7519
United Kingdom | 44 0 1635 523545
United States (Corporate) | 512 683 0100